function Unoz = InjVel(type,params,t);

% returns injection velocity
Unoz = zeros(size(t));
switch lower(type)
	case 'steady'
      Unoz(:) = params(1,1);
   case 'linearrampdown'
      Unoz(find(t<=params(2,1)))=params(1,1);
      ii = find(t>params(2,1)&t<=params(2,2));
      Unoz(ii)= params(1,1)*(1-(t(ii)-params(2,1))/(params(2,2)-params(2,1)));
      Unoz(find(t>params(2,2))) = params(1,2);
   case 'linearrampup'
      Unoz(find(t<=params(2,2)))=params(1,1);
      ii = find(t<=params(2,1));
      Unoz(ii)= t(ii)*params(1,1)/params(2,1);
      Unoz(find(t>params(2,2))) = 0;
   case 'squarepulse'
      Unoz(find(t<=params(2,1)))=params(1,1);
      Unoz(find(t>params(2,1)))=0;
   case 'doublesquarepulse'
      Unoz(find(t<=params(2,1)))=params(1,1);
      Unoz(find(t>params(2,1)&t<=params(2,2)))=params(1,2);
      Unoz(find(t>params(2,2)&t<=params(2,3)))=params(1,3);
		Unoz(find(t>params(2,3)))=0;
   case 'foursquarepulse'
      Unoz(find(t<=params(2,1)))=params(1,1);
      Unoz(find(t>params(2,1)&t<=params(2,2)))=params(1,2);
      Unoz(find(t>params(2,2)&t<=params(2,3)))=params(1,3);
      Unoz(find(t>params(2,3)&t<=params(2,4)))=params(1,4);
      Unoz(find(t>params(2,4)&t<=params(2,5)))=params(1,5);
      Unoz(find(t>params(2,5)&t<=params(2,6)))=params(1,6);
      Unoz(find(t>params(2,6)&t<=params(2,7)))=params(1,7);
		Unoz(find(t>params(2,7)))=0;
   case 'parabolicrampdown'
      A = params(1,1)/(params(2,2)-params(2,1))^2;
      Unoz(find(t<=params(2,1))) = params(1,1);
      ii = find(t>params(2,1)&t<=params(2,2));
      Unoz(ii)= params(1,1)-A*(t(ii)-params(2,1)).^2;
      Unoz(find(t>params(2,2))) = params(1,2);
   case 'interpolate'
      Unoz = interp1(params(2,:),params(1,:),t);
   otherwise
      Unoz = 0;
end
   
         


         