% compare the model mixture fraction to the measured mixture fraction
% variation along the axis
a= dlmread('C:\pickett\ECN\ModeledPapers\ExpCompare\TASI6000aCtr.txt');
xval= a(:,1); ZCtr = a(:,2); ZuncProf = a(:,3)+ZCtr*0.01; %bias error increase
cOrd = 'brgk'; hexp = zeros(4,3);
figure(4), clf, set(gcf,'position',[  516   529   476   352]) 

i =1;

hexp(i,:) = plot(xval, ZCtr,['-' cOrd(i)]); hold all

load('C:\pickett\ECN\baseline\bicdgnl\bnhptout.mat'); %23 degree angle model results
%steady solution
gamma = (alpha+1).*(alpha+2)./alpha.^2;  
x0=D_f/2/tand(theta/2); 
R = tand(theta/2)*(x+x0);
Xf = Xfsteady.*gamma;
FA = rho_f*Xf./(rho_a.*(1-Xf));
Zmod = FA./(FA + 1);
hold all, hmod = plot(x*1e3,Zmod,'r');

% transient solution at tMod ms ASI
m = 50; tMod = dout.t(m);
legStr1 = ['Model ' num2str(tMod,'%4.2f') ' ms, \theta=23\circ'];
gamma = (dout.alpha{m}+1).*(dout.alpha{m}+2)./dout.alpha{m}.^2;  
x0=D_f/2/tand(theta/2); 
R = tand(theta/2)*(x+x0);
Xf = dout.Xf{m}.*gamma;
FA = rho_f*Xf./(rho_a.*(1-Xf));
Zmod = FA./(FA + 1);
hold all, hmod1 = plot(x*1e3,Zmod,'k');

% transient solution at tMod ms ASI
m = 85; tMod = dout.t(m);
legStr2 = ['Model ' num2str(tMod,'%4.2f') ' ms, \theta=23\circ'];
gamma = (dout.alpha{m}+1).*(dout.alpha{m}+2)./dout.alpha{m}.^2;  
x0=D_f/2/tand(theta/2); 
R = tand(theta/2)*(x+x0);
Xf = dout.Xf{m}.*gamma;
FA = rho_f*Xf./(rho_a.*(1-Xf));
Zmod = FA./(FA + 1);
hold all, hmod2 = plot(x*1e3,Zmod,':k');

set(gca,'ylim',[0 0.3],'xlim',[0 60],'xtick',0:10:60)
xlabel('Axial distance [mm]')
ylabel('Centerline mixture fraction')
hL = legend ([hexp(1,1) hmod hmod1 hmod2],'Experimental steady',...
    'Model steady, \theta=23\circ',legStr1, legStr2);
set(hL,'Color','none','box','off')
%% make radial comparison at particular positions and timing
% timing ASI is the index m selected above

a= dlmread('C:\pickett\ECN\ModeledPapers\ExpCompare\TASI6000a40.txt');
yv= a(:,1); Z = a(:,2); ZuncProf = a(:,3)+Z*0.01;
figure(11), clf, set(gcf,'position',[  116   529   476   352]) 

i =1;
hexp(i,:) = plot(yv, Z,['-' cOrd(i)]); hold all
axd = 40;

% steady solution 
legStr = ['Model steady, \theta=23\circ'];
a = find(x*1000>=axd); ind = a(1);
xi = 0:0.01:1; %dimensionless radial coordinate
r = xi*R(ind); %radius [m]
Xfrad = Xfsteady(ind).*gamma(ind).*(1-xi.^alpha(ind)).^2;
FArad = rho_f*Xfrad./(rho_a.*(1-Xfrad));
Zmodrad = FArad./(FArad + 1);
 hmod = plot(r*1e3,Zmodrad,'r-',-r*1e3,Zmodrad,'r-');
   text(-9.0,0.08,['x = 40 mm'],'FontSize',16)

% transient solution at tMod ms ASI
m = 50; tMod = dout.t(m);
legStr1 = ['Model ' num2str(tMod,'%4.2f') ' ms, \theta=23\circ'];
a = find(dout.x{m}*1000>=axd); ind = a(1);
xi = 0:0.01:1; %dimensionless radial coordinate
r = xi*R(ind); %radius [m]
Xfrad = dout.Xf{m}(ind).*gamma(ind).*(1-xi.^dout.alpha{m}(ind)).^2;
FArad = rho_f*Xfrad./(rho_a.*(1-Xfrad));
Zmodrad = FArad./(FArad + 1);
hmod1 = plot(r*1e3,Zmodrad,'k--',-r*1e3,Zmodrad,'k--');
   
% transient solution at tMod ms ASI
m = 85; tMod = dout.t(m);
legStr2 = ['Model ' num2str(tMod,'%4.2f') ' ms, \theta=23\circ'];
a = find(dout.x{m}*1000>=axd); ind = a(1);
xi = 0:0.01:1; %dimensionless radial coordinate
r = xi*R(ind); %radius [m]
Xfrad = dout.Xf{m}(ind).*gamma(ind).*(1-xi.^dout.alpha{m}(ind)).^2;
FArad = rho_f*Xfrad./(rho_a.*(1-Xfrad));
Zmodrad = FArad./(FArad + 1);
hmod2 = plot(r*1e3,Zmodrad,'k:',-r*1e3,Zmodrad,'k:');   
 
 yt = 0:0.05:0.2; yl = num2str(yt','%4.2f');
 set(gca,'ylim',[0 0.2],'yticklabel',yl,'xlim',[-10 10],'xtick',-10:2:10)
xlabel('Radial distance [mm]')
ylabel('mixture fraction')

% hL = legend ([hexp(1,1) hexp(1,2) hmod],'Experimental','Uncertainty','Model, \theta=23\circ');
% set(hL,'Color','none','box','off')
hL2 = legend ([hexp(1,1) hmod(1) hmod1(1) hmod2(1)],'Experimental steady',legStr, legStr1,legStr2);
set(hL2,'Color','none','box','off')
